Skip to content

List databases of a hosting package

GET /hosting/packages/{id}/databases

Operation ID: ListHostingDatabases

Lists the databases of the package. Credentials are never returned , database passwords are available only in the regfish dash.

NameTypeRequiredDescription
idstringyes-
StatusTypeDescription
200baseResult & objectDatabases (without credentials)
401ErrorUnauthorized
404ErrorPackage not found
500ErrorUnexpected error
FieldTypeRequiredDescription
successbooleanyesSuccess indicator
codeintegernoResponse/Error Code
responseobjectno-
Terminal window
curl -X GET "https://api.regfish.com/hosting/packages/<id>/databases" \
-H "x-api-key: $REGFISH_API_KEY"

Fill in values - the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.